Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.inmemory
Class InMemoryStorageManager

    java.lang.Object
      org.apache.sandesha2.storage.StorageManager
          org.apache.sandesha2.storage.inmemory.InMemoryStorageManager

    public class InMemoryStorageManager

extends StorageManager

Constructor Summary
`InMemoryStorageManager(org.apache.axis2.context.ConfigurationContext context)`

Method Summary
`static InMemoryStorageManager` | `getInstance(org.apache.axis2.context.ConfigurationContext context)`
`SandeshaThread` | `getInvoker()` Gets the Invoker for this Storage manager
`InvokerBeanMgr` | `getInvokerBeanMgr()`
`PollingManager` | `getPollingManager()` Gets the PollingManager for this Storage manager
`RMDBeanMgr` | `getRMDBeanMgr()`
`RMSBeanMgr` | `getRMSBeanMgr()`
`SandeshaThread` | `getSender()` Gets the Sender for this Storage manager
`SenderBeanMgr` | `getSenderBeanMgr()`
`Transaction` | `getTransaction()`
`boolean` | `hasUserTransaction(org.apache.axis2.context.MessageContext msg)` If there is no user transaction in scope then we can optimize the sending / invoking of a message.
`void` | `initStorage(org.apache.axis2.description.AxisModule moduleDesc)`
`void` | `removeMessageContext(java.lang.String key)`
`boolean` | `requiresMessageSerialization()`
`org.apache.axis2.context.MessageContext` | `retrieveMessageContext(java.lang.String key, org.apache.axis2.context.ConfigurationContext context)`
`void` | `storeMessageContext(java.lang.String key, org.apache.axis2.context.MessageContext msgContext)`
`void` | `updateMessageContext(java.lang.String key, org.apache.axis2.context.MessageContext msgContext)`

Methods inherited from class org.apache.sandesha2.storage.StorageManager
`getContext, setContext, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemoryStorageManager

    public InMemoryStorageManager(org.apache.axis2.context.ConfigurationContext context)
                           throws SandeshaException

Throws:
  `SandeshaException`

Method Detail

### getTransaction

    public Transaction getTransaction()

  Specified by:
    `getTransaction` in class `StorageManager`

### getInvoker

    public SandeshaThread getInvoker()

  Gets the Invoker for this Storage manager

  Specified by:
    `getInvoker` in class `StorageManager`
  Returns:
    null if messages should be delivered directly to the application, otherwise return a SandeshaThread.

### getSender

    public SandeshaThread getSender()

  Gets the Sender for this Storage manager

  Specified by:
    `getSender` in class `StorageManager`

### getPollingManager

    public PollingManager getPollingManager()

  Gets the PollingManager for this Storage manager

  Specified by:
    `getPollingManager` in class `StorageManager`
  Returns:
    null if polling is diabled, otherwise return a PollingManager.

### getRMSBeanMgr

    public RMSBeanMgr getRMSBeanMgr()

  Specified by:
    `getRMSBeanMgr` in class `StorageManager`

### getRMDBeanMgr

    public RMDBeanMgr getRMDBeanMgr()

  Specified by:
    `getRMDBeanMgr` in class `StorageManager`

### getSenderBeanMgr

    public SenderBeanMgr getSenderBeanMgr()

  Specified by:
    `getSenderBeanMgr` in class `StorageManager`

### getInvokerBeanMgr

    public InvokerBeanMgr getInvokerBeanMgr()

  Specified by:
    `getInvokerBeanMgr` in class `StorageManager`

### getInstance

    public static InMemoryStorageManager getInstance(org.apache.axis2.context.ConfigurationContext context)
                                              throws SandeshaException

  Throws:
    `SandeshaException`

### retrieveMessageContext

    public org.apache.axis2.context.MessageContext retrieveMessageContext(java.lang.String key,
                                                                          org.apache.axis2.context.ConfigurationContext context)
                                                                   throws SandeshaStorageException

  Specified by:
    `retrieveMessageContext` in class `StorageManager`
  Throws:
    `SandeshaStorageException`

### storeMessageContext

    public void storeMessageContext(java.lang.String key,
                                    org.apache.axis2.context.MessageContext msgContext)
                             throws SandeshaStorageException

  Specified by:
    `storeMessageContext` in class `StorageManager`
  Throws:
    `SandeshaStorageException`

### updateMessageContext

    public void updateMessageContext(java.lang.String key,
                                     org.apache.axis2.context.MessageContext msgContext)
                              throws SandeshaStorageException

  Specified by:
    `updateMessageContext` in class `StorageManager`
  Throws:
    `SandeshaStorageException`

### removeMessageContext

    public void removeMessageContext(java.lang.String key)

  Specified by:
    `removeMessageContext` in class `StorageManager`

### initStorage

    public void initStorage(org.apache.axis2.description.AxisModule moduleDesc)

  Specified by:
    `initStorage` in class `StorageManager`

### hasUserTransaction

    public boolean hasUserTransaction(org.apache.axis2.context.MessageContext msg)

  Description copied from class: `StorageManager`
  If there is no user transaction in scope then we can optimize the sending / invoking of a message. This method allows the StorageManager to tell the core Sandesha code if there is a transaction in scope.

  Specified by:
    `hasUserTransaction` in class `StorageManager`
  Returns:
    true, if there is a user transaction in scope.

### requiresMessageSerialization

    public boolean requiresMessageSerialization()

  Specified by:
    `requiresMessageSerialization` in class `StorageManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.